/*  mu_reply -- get a reply in response to a prompt
 *				on the last screen line
 */
#include "local.h"
#include "menu.h"

mu_reply(prompt, reply, size)
	char prompt[];		/* : string */
	char reply[];		/* : !NULL */
	int size;			/* max number of chars allowed in reply */
	{
	STRING_VAL rsv;		/* reply string value structure */

	if (scr_mode == SCR_TTY)
		return (getreply(prompt, reply, size));
	else
		{
		scr_curs(scr_lins - 1, 0);
		scr_print("%s", prompt);
		reply[0] = '\0';		/* reply string initially empty */
		rsv.edit_type = 'a';	/* initialize the STRING_VAL rsv */
		rsv.string = reply;
		rsv.maxsize = size;
		rsv.pnum = NULL;		/* rsv => well-defined */
		mu_sval(&rsv);			/* let mu_sval handle the dialog */
		return (strlen(reply));
		}
	}
